跳转到主要内容
GET
/
v2
/
redpacket
/
wallet
/
{address}
/
claims
RedPacket - GetClaimsByAddress
curl --request GET \
  --url https://api.chainstream.io/v2/redpacket/wallet/{address}/claims \
  --header 'Authorization: Bearer <token>'
{
  "hasNextPage": true,
  "records": [
    {
      "amount": "100000000",
      "claimer": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "packetId": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "chain": "sol",
      "claimedAt": 1717334400000,
      "creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..."
    }
  ],
  "total": 123,
  "endCursor": "<string>",
  "startCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

address
string
必填

An address of a wallet

查询参数

cursor
string

Pagination cursor

limit
integer<int64>

Number of results per page

direction
enum<string>
默认值:next

Pagination direction

可用选项:
next,
prev

响应

200 - application/json

Successful response

Paginated red packet claims response

hasNextPage
boolean
必填

Whether there is a next page

records
object[]
必填

List of red packet claims

total
integer<int64>
必填

Total number of claims

endCursor
string | null

Cursor for the end of current page

startCursor
string | null

Cursor for the start of current page